Subject: CRLF again, was: Re[2]: smtp mail failed
From: [email-masked]

16 Oct 1998 13:48:20 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: MULTIPART/MIXED; BOUNDARY="Boundary_(ID_mAziLaLqkN+h2nP37to6WQ)"
To: [email-masked], [email-masked]

--Boundary_(ID_mAziLaLqkN+h2nP37to6WQ)
Content-type: TEXT/PLAIN; CHARSET=ISO-8859-1
Content-transfer-encoding: 7BIT

In my opinion, all archiving and zipping programs (tar, zip, unzip, etc) should 
*never* add CRs where they don't exist in the source file.  Likewise, *all* 
filters (tr, cat, pipes...) should *only* add CRs if instructed to do so on the 
options line.  Then if someone want's to use a text file from a non windows 
source in a windows program that needs the CRLF combination (like this ccmail) 
they can run the file through a Unix to Dos filter.   

This CRLF business has been the most difficult thing about using the cyg-win 
gnu-win tools.  The NT emacs I'm using seems to have some algorithm in it that 
decides what to do.  It doesn't always do the right thing.  The Vim I have is 
honest about it.  Unless you tell it specifically something like :se ff=dos, it 
just seems to keep things like they were.

Well, cyg-win32, gnu-win32 is still a great suite of software, but with a few 
growing pains.

Best to all,

John Velman
[email-masked]
______________________________ Reply Separator _________________________________
Subject: Re: smtp mail failed
Author:  [email-masked] at mime
Date:    10/14/98 9:17 AM

> As I've stated on my web pages under my Personal Reflections on this 
> subject, IF YOU DEPEND ON THE BINARY MODE MOUNT SETTING THEN YOU ARE 
> MASKING A PROBLEM WHICH WILL EVENTUALLY BYTE YOU SOMEWHERE ELSE.
> Consider yourself bytten.
>
> I suggest that you get the source code and find all of the open/fopen 
> statements and properly add the necessary file mode processing
> switches.  The only truly way to get rid of this for good is to 
> properly port the code and be specific about what mode your file 
> should be processing in.
>
> PORTERS OF SOFTWARE, please, don't depend on the binary mode mount
> setting!!  Make the appropriate changes to the open/fopen statements.
     
While I agree 100% with this view, there are some difficulties that are 
particularly apparent with archive software.  If tar is unpacking a file, 
(or packing it, for that matter) is it a binary file or a text file? 
Somehow, tar/zip/whatever must find out whether to open the file in text 
or binary mode, yet there seems to be no definitive way to tell which.
Do you try to see if the file has all characters < 0x100 and line breaks 
every so often to call it a text file?  What about various meta-character 
escapes (for extended character sets, bold/italic/underline, etc.).  What 
if an executable file actually does contain '\n' every so often.  These 
heuristics are bound to make mistakes, but what better way is there to 
tell?
     
marcus hall
-
For help on using this list (especially unsubscribing), send a message to 
"[email-masked]" with one line of text: "help".

--Boundary_(ID_mAziLaLqkN+h2nP37to6WQ)
Content-type: TEXT/PLAIN; CHARSET=ISO-8859-1
Content-transfer-encoding: 7BIT

RFC-822-headers:
Date: Wed, 14 Oct 1998 10:17:26 -0600 (MDT)
From: "139a80000-HallM(DR3132)37x10" <[email-masked]>
Subject: Re: smtp mail failed
Sender: [email-masked]
Reply-to: "139a80000-HallM(DR3132)37x10" <[email-masked]>

--Boundary_(ID_mAziLaLqkN+h2nP37to6WQ)--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".